petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsSetAlias

Makes a key and alias for another key

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsSetAlias(const char inewname[],const char ioldname[])

Not Collective, but setting values on certain processors could cause problems for parallel objects looking for options.

### Input Parameters

| inewname | - the alias
| ioldname | - the name that alias will refer to

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),OptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(),PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages